<?php
/*
  www.oscGold.com (C) Kamelia-Net Jacek Krysiak
  modul oscGold wer 4.0
*/

  class kosztsprzedawcyilosc {
    var $code, $title, $description, $icon, $enabled;

// class constructor
    function kosztsprzedawcyilosc() {
      global $order, $total_count;

      $this->code = 'kosztsprzedawcyilosc';
      $this->title = MODULE_SHIPPING_FREECOUNT_TEXT_TITLE;
      $this->description = MODULE_SHIPPING_FREECOUNT_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_SHIPPING_FREECOUNT_SORT_ORDER;
      $this->icon = '';
      $this->tax_class = MODULE_SHIPPING_FREECOUNT_TAX_CLASS;
      $this->enabled = ((MODULE_SHIPPING_FREECOUNT_STATUS == 'True') ? true : false);

      if ( ($this->enabled == true) && ((int)MODULE_SHIPPING_FREECOUNT_NUMBER <= $total_count) ) {
          if ( ($this->enabled == true) && ((int)MODULE_SHIPPING_FREECOUNT_ZONE > 0) ) {
            $check_flag = false;
            $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_SHIPPING_FREECOUNT_ZONE . "' and zone_country_id = '" . $order->delivery['country']['id'] . "' order by zone_id");
            while ($check = tep_db_fetch_array($check_query)) {
              if ($check['zone_id'] < 1) {
                $check_flag = true;
                break;
              } elseif ($check['zone_id'] == $order->delivery['zone_id']) {
                $check_flag = true;
                break;
              }
            }

            if ($check_flag == false) {
              $this->enabled = false;
            }
          }
       }
       else{
           $this->enabled = false;
       }
    }

// class methods
    function quote($method = '') {
      global $order, $total_count;

      $tytul = MODULE_SHIPPING_FREECOUNT_TEXT_WAY.' '. MODULE_SHIPPING_FREECOUNT_NUMBER . ' ' . MODULE_SHIPPING_FREECOUNT_QTY;

      $this->quotes = array('id' => $this->code,
                            'module' => MODULE_SHIPPING_FREECOUNT_TEXT_TITLE,
                            'methods' => array(array('id' => $this->code,
                                                     'title' => $tytul,
                                                     'cost' => MODULE_SHIPPING_FREECOUNT_HANDLING)));

      if ($this->tax_class > 0) {
        $this->quotes['tax'] = tep_get_tax_rate($this->tax_class, $order->delivery['country']['id'], $order->delivery['zone_id']);
      }

      if (tep_not_null($this->icon)) $this->quotes['icon'] = tep_image($this->icon, $this->title);

      return $this->quotes;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_FREECOUNT_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Dostwa na koszt sprzedawcy zależnie od ilości produktów', 'MODULE_SHIPPING_FREECOUNT_STATUS', 'True', 'Możesz oferować przesyłkę na koszt dostawcy przy zamówieniu powyżej określonej ilości produktów', '6', '0', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Ilość produktów', 'MODULE_SHIPPING_FREECOUNT_NUMBER', '3', 'Ilość produktów w zamówieniu poyżej której będzie dostępna wysyłka na koszt sprzedawcy', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Koszt obsługi', 'MODULE_SHIPPING_FREECOUNT_HANDLING', '0', 'Koszt obsługi przesyłki', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Klasa podatku', 'MODULE_SHIPPING_FREECOUNT_TAX_CLASS', '0', 'Podatek doliczany do kosztów obsługi przesyłki', '6', '0', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Strefa dostawy', 'MODULE_SHIPPING_FREECOUNT_ZONE', '0', 'Możesz wybrać strefę dla której będzie obowiązywał ten sposób dostawy.', '6', '0', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Kolejność wyświetlania', 'MODULE_SHIPPING_FREECOUNT_SORT_ORDER', '0', 'Kolejność wyświetlania', '6', '0', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_SHIPPING_FREECOUNT_STATUS', 'MODULE_SHIPPING_FREECOUNT_NUMBER', 'MODULE_SHIPPING_FREECOUNT_HANDLING', 'MODULE_SHIPPING_FREECOUNT_TAX_CLASS', 'MODULE_SHIPPING_FREECOUNT_ZONE', 'MODULE_SHIPPING_FREECOUNT_SORT_ORDER');
    }
  }
?>
